Conversations
Toggle Priority
Toggles the priority of conversation
POST
/
api
/
v1
/
accounts
/
{account_id}
/
conversations
/
{conversation_id}
/
toggle_priority
Toggle Priority
curl --request POST \
--url https://airys.chat/api/v1/accounts/{account_id}/conversations/{conversation_id}/toggle_priority \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"priority": "high"
}
'import requests
url = "https://airys.chat/api/v1/accounts/{account_id}/conversations/{conversation_id}/toggle_priority"
payload = { "priority": "high" }
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({priority: 'high'})
};
fetch('https://airys.chat/api/v1/accounts/{account_id}/conversations/{conversation_id}/toggle_priority', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
userApiKeyagentBotApiKey
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
The numeric ID of the conversation
Body
application/json
The priority of the conversation
Available options:
urgent, high, medium, low, none Example:
"high"
Response
Success
⌘I
Toggle Priority
